# com.github.insanusmokrassar.TelegramBotAPI.extensions.api.webhook - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api.webhook

## Package com.github.insanusmokrassar.TelegramBotAPI.extensions.api.webhook

### Functions

(common)

#### deleteWebhook

`suspend fun RequestsExecutor.deleteWebhook(): Boolean`

(common)

#### getWebhookInfo

`suspend fun RequestsExecutor.getWebhookInfo(): WebhookInfo`

(common)

#### setWebhookInfo

`suspend fun RequestsExecutor.setWebhookInfo(url: String, certificate: FileId, maxAllowedConnections: Int? = null, allowedUpdates: List<String>? = null): Boolean`
`suspend fun RequestsExecutor.setWebhookInfo(url: String, certificate: MultipartFile, maxAllowedConnections: Int? = null, allowedUpdates: List<String>? = null): Boolean`